AEM Mobile Packager error on macOS High Sierra

robinnorth_verb

02-10-2017

Since upgrading to macOS High Sierra, I have been unable to package articles using the AEM Mobile Packager tool -- on each packaging attempt, it crashes with a Go runtime error, as shown:

Screen Shot 2017-10-02 at 16.01.16.png

This used to happen occasionally for me on macOS Sierra, but now this error occurs on every single packaging attempt.

When can we expect updated tooling that has been tested on High Sierra to be released?

Accepted Solutions (1)

Accepted Solutions (1)

Darren_Melanson

Employee

02-10-2017

Hi there,

Thanks for letting us know that this isn't working as expected. We will investigate and update this thread with an expected release date.

-

Darren

Answers (9)

Answers (9)

robinnorth_verb

03-10-2017

Hi Darren Melanson​, thanks for the quick reply. FWIW, it might just be that the tool needs recompiling against an updated version of Go -- there's a host of similar-sounding issues on the Go GitHub issues tracker: https://github.com/golang/go/search?utf8=%E2%9C%93&q=MSpanList_Insert+macOS&type=Issues


Please do keep me posted on progress -- I'm having to rely on a Windows virtual machine to use the packager tool at present.

Thanks!

robinnorth_verb

16-11-2017

Thanks very much Darren Melanson​, I can confirm that it works for me on High Sierra too, which is great!

Only one thing -- I noticed that the download for the packager tool linked to from the UK version of the support page (https://helpx.adobe.com/uk/digital-publishing-solution/help/install.html) still points to the old version, so I imagine this means that other localised support pages are also still pointing to the old version too.